beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questRomance2 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	
	
	state("initial") 
		onMsg("checkCondition", function(msg)
			-- check if questErotic2 has already started
			--if getParent().questErotic2.getState() ~= "initial" then
			--	setState("done");
			--end

			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_ROMANTIC),
					elaine.getRelationshipCondition(MIKE, REL_ROMANTIC)) >= 2)
		----------------
			then
				-- wait for mike going to bed
print("questRomance2 - go to waitBed");
				setState("waitBed");
			end
		end )
		
	state("waitBed")
		-- wait for elaine going to bed

		onMsg("queueInteraction", function(msg)
--print("questRomance2 - queueInteraction: " .. msg.data);
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);
			
			if msg.data == "sleep" and getStateObjectFromID(msg.sender) == elaine then
				-- go to talk position
				elaine.pushCommand("pm_talkCutscene", "talkCutscene", mike, "questRomance2");
				setState("talktome");
			end
		end )

	state("talktome")
		-- as soon as arrived - start dialog (interaction.talkCutscene sends talking)
		onMsg("talking", function(msg)
			if (msg.data == "questRomance2") then
				popupConversation("dialogRomance2");
				setState("donetalktome");
			end 
		end )
	
	state("donetalktome");
		-- last dialog box clicked away
		onMsg("yes", function(msg)
			-- cancel
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelCurrentActivity();
			elaine.cancelCurrentActivity();
			setState("done");
		end )
		
---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()
